Bug 438241 - evolution-data-server uses 100%
evolution-data-server uses 100%
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-19 16:21 EDT by Kevin DeKorte
Modified: 2014-06-23 10:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:59:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin DeKorte 2008-03-19 16:21:30 EDT
Description of problem:
Running rawhide, evolution-data-server will just start up and then consume 100%
of the cpu (luckily I have 4, so I don't notice it that much)

Version-Release number of selected component (if applicable):
evolution-data-server-2.22.0-2.fc9.i386


How reproducible:
Not sure what starts e-d-s since I use thunderbird for my email

Steps to Reproduce:
1. Login to gnome
2. During that day all of sudden e-d-s will start using tons of cpu
3.
  
Actual results:
100% cpu usage

Expected results:
Either not to run, or to behave nicely.

Additional info:
Comment 1 Matthew Barnes 2008-03-19 17:11:39 EDT
Are you sure it's evolution-data-server and not gnome-keyring-daemon?
Comment 2 Kevin DeKorte 2008-03-19 17:47:57 EDT
pretty sure since that is what top and system-monitor show. And that is the pid
I kill to get the cpu down to normal.

Next time it happens I'll take a screen shot.
Comment 3 Matthew Barnes 2008-03-19 19:21:23 EDT
Actually a stack trace with debugging symbols would be more useful:

  1) # debuginfo-install evolution-data-server  (as root)

  2) Read http://live.gnome.org/GettingTraces/Details if you don't already
     know your way around GDB.

  3) When you see e-d-s maxing out the CPU, follow the instructions in the
     section "Obtaining a stack trace using GDB with a running program" and
     post the stack trace here.
Comment 4 Kevin DeKorte 2008-03-21 14:00:27 EDT
This is what GDB tells me

(gdb) bt
#0  0x00110416 in __kernel_vsyscall ()
#1  0x00a333c7 in __poll (fds=<value optimized out>, 
    nfds=<value optimized out>, timeout=<value optimized out>)
    at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x00b755a2 in g_main_context_iterate (context=<value optimized out>, 
    block=<value optimized out>, dispatch=<value optimized out>, self=Could not
find the frame base for "g_main_context_iterate".
)
    at gmain.c:2945
#3  0x00b75c32 in IA__g_main_loop_run (loop=<value optimized out>)
    at gmain.c:2844
#4  0x02416b13 in bonobo_main () at bonobo-main.c:311
#5  0x0804b64c in main (argc=137886328, argv=0xbfad3414) at server.c:418


stopping this process takes cpu to 0
running 'cont' takes the CPU back up to 100%



  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND            
 2980 kdekorte  20   0 75512 7384 5520 R 98.3  0.2 123:34.21 evolution-data-    
 2521 root      20   0  401m  44m 9912 R 66.2  1.4   3:41.37 Xorg     

Comment 5 Matthew Barnes 2008-03-21 15:37:04 EDT
Instead of "bt" can you try "thread apply all bt" in GDB?  That will show the
state of all threads in evolution-data-server, not just the main thread which
appears to be idle.
Comment 6 Kevin DeKorte 2008-03-25 10:13:03 EDT
(gdb) thread apply all bt

Thread 3 (Thread 0xb7de6b90 (LWP 3000)):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x00a333c7 in __poll (fds=<value optimized out>, 
    nfds=<value optimized out>, timeout=<value optimized out>)
    at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x007655a2 in g_main_context_iterate (context=<value optimized out>, 
    block=<value optimized out>, dispatch=<value optimized out>, self=Could not
find the frame base for "g_main_context_iterate".
)
    at gmain.c:2945
#3  0x00765c32 in IA__g_main_loop_run (loop=<value optimized out>)
    at gmain.c:2844
#4  0x00455f60 in link_io_thread_fn (data=Could not find the frame base for
"link_io_thread_fn".
) at linc.c:396
#5  0x0078c45f in g_thread_create_proxy (data=<value optimized out>)
    at gthread.c:635
#6  0x00b2551f in start_thread (arg=<value optimized out>)
    at pthread_create.c:297
#7  0x00a3dbae in clone () from /lib/libc.so.6

Thread 2 (Thread 0xb69a3b90 (LWP 3010)):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x00a333c7 in __poll (fds=<value optimized out>, 
    nfds=<value optimized out>, timeout=<value optimized out>)
    at ../sysdeps/unix/sysv/linux/poll.c:87
---Type <return> to continue, or q <return> to quit---
#2  0x007655a2 in g_main_context_iterate (context=<value optimized out>, 
    block=<value optimized out>, dispatch=<value optimized out>, self=Could not
find the frame base for "g_main_context_iterate".
)
    at gmain.c:2945
#3  0x00765c32 in IA__g_main_loop_run (loop=<value optimized out>)
    at gmain.c:2844
#4  0x001458b2 in ?? () from /usr/lib/libebook-1.2.so.9
#5  0x0078c45f in g_thread_create_proxy (data=<value optimized out>)
    at gthread.c:635
#6  0x00b2551f in start_thread (arg=<value optimized out>)
    at pthread_create.c:297
#7  0x00a3dbae in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb7fe7730 (LWP 2967)):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x00a333c7 in __poll (fds=<value optimized out>, 
    nfds=<value optimized out>, timeout=<value optimized out>)
    at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x007655a2 in g_main_context_iterate (context=<value optimized out>, 
    block=<value optimized out>, dispatch=<value optimized out>, self=Could not
find the frame base for "g_main_context_iterate".
)
    at gmain.c:2945
#3  0x00765c32 in IA__g_main_loop_run (loop=<value optimized out>)
    at gmain.c:2844
#4  0x005a2b13 in bonobo_main () at bonobo-main.c:311
---Type <return> to continue, or q <return> to quit---
#5  0x0804b64c in ?? ()
#6  0x00973606 in __libc_start_main (main=Could not find the frame base for
"__libc_start_main".
) at libc-start.c:220
#7  0x0804a0f1 in ?? ()
Comment 7 Matthew Barnes 2008-03-25 12:14:17 EDT
Hmm, still no debuginfo for evolution-data-server, but Thread 2 appears to be
getting stuck somewhere in libebook.
Comment 8 Kevin DeKorte 2008-03-26 13:08:51 EDT
With the latest debuginfo file for e-d-s (Thread 2 #4, now shows where in
ebook.c it is stuck)


(gdb) thread apply all bt

Thread 3 (Thread 0xb7e1db90 (LWP 2991)):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x00a333c7 in __poll (fds=<value optimized out>, nfds=<value optimized out>,
timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x007655a2 in g_main_context_iterate (context=<value optimized out>,
block=<value optimized out>, dispatch=<value optimized out>, self=Could not find
the frame base for "g_main_context_iterate".
)
    at gmain.c:2945
#3  0x00765c32 in IA__g_main_loop_run (loop=<value optimized out>) at gmain.c:2844
#4  0x00455f60 in link_io_thread_fn (data=Could not find the frame base for
"link_io_thread_fn".
) at linc.c:396
#5  0x0078c45f in g_thread_create_proxy (data=<value optimized out>) at
gthread.c:635
#6  0x00b2551f in start_thread (arg=<value optimized out>) at pthread_create.c:297
#7  0x00a3dbae in clone () from /lib/libc.so.6

Thread 2 (Thread 0xb67feb90 (LWP 3003)):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x00a333c7 in __poll (fds=<value optimized out>, nfds=<value optimized out>,
timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x007655a2 in g_main_context_iterate (context=<value optimized out>,
block=<value optimized out>, dispatch=<value optimized out>, self=Could not find
the frame base for "g_main_context_iterate".
)
    at gmain.c:2945
#3  0x00765c32 in IA__g_main_loop_run (loop=<value optimized out>) at gmain.c:2844
#4  0x02bc48b2 in startup_mainloop (arg=Could not find the frame base for
"startup_mainloop".
) at e-book.c:3773
#5  0x0078c45f in g_thread_create_proxy (data=<value optimized out>) at
gthread.c:635
#6  0x00b2551f in start_thread (arg=<value optimized out>) at pthread_create.c:297
#7  0x00a3dbae in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb801e730 (LWP 2960)):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x00a333c7 in __poll (fds=<value optimized out>, nfds=<value optimized out>,
timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x007655a2 in g_main_context_iterate (context=<value optimized out>,
block=<value optimized out>, dispatch=<value optimized out>, self=Could not find
the frame base for "g_main_context_iterate".
)
    at gmain.c:2945
#3  0x00765c32 in IA__g_main_loop_run (loop=<value optimized out>) at gmain.c:2844
#4  0x005a2b13 in bonobo_main () at bonobo-main.c:311
#5  0x0804b64c in main (argc=135486464, argv=0xbfe40774) at server.c:418
#0  0x00110416 in __kernel_vsyscall ()

Comment 9 Bug Zapper 2009-06-09 19:48:42 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Matthew Barnes 2009-06-21 09:33:16 EDT
Is this bug still present on Fedora 11 or later?
Comment 11 Bug Zapper 2009-07-14 11:59:51 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 12 Kevin DeKorte 2014-06-23 10:34:01 EDT
I keep getting alerts that I need to comment on this, so just putting something here to clear the alert.

Note You need to log in before you can comment on or make changes to this bug.